#include <thread>

#include "hooks.hpp"

#include "../sdk/memory/memory.hpp"
#include "../api/hook/hook.hpp"
#include "../game/chams/chams.hpp"

void HookInputAPI( );
void HookGraphicsAPI( );
void HookGameFunctions( );

void hooks::Initialize( )
{
	g_funchookCtx = funchook_create( );
	if (!g_funchookCtx) return;

	HookInputAPI( );
	HookGameFunctions( );
	HookGraphicsAPI( );

	if (funchook_install(g_funchookCtx, 0) != FUNCHOOK_ERROR_SUCCESS) return;
	LOG("hooks::Initialize() successful.\n");
}

